Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Slots
tlp::FindSelectionWidget Class Reference

`#include <FindSelectionWidget.h>`

List of all members.

## Public Member Functions

- FindSelectionWidget (Graph *graph, std::string &currentProperty, QWidget *parent=0)
- int exec ()
- std::string getCurrentProperty ()

## Protected Slots

- virtual void propertyChanged (int no)
- virtual void accept ()

## Constructor & Destructor Documentation

tlp::FindSelectionWidget::FindSelectionWidget | ( | Graph * | graph,
|  | std::string & | currentProperty,
|  | QWidget * | parent = `0`
| ) |  |

## Member Function Documentation

virtual void tlp::FindSelectionWidget::accept | ( |  | ) | `[protected, virtual, slot]`

int tlp::FindSelectionWidget::exec | ( |  | ) |

std::string tlp::FindSelectionWidget::getCurrentProperty | ( |  | ) |

virtual void tlp::FindSelectionWidget::propertyChanged | ( | int | no | ) | `[protected, virtual, slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2012